Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.ui
Class DefaultUIProvider

    java.lang.Object
      org.eclipse.emf.ecp.internal.core.util.Element
          org.eclipse.emf.ecp.spi.ui.DefaultUIProvider

All Implemented Interfaces:
  Comparable<ECPElement>, org.eclipse.core.runtime.IAdaptable, ECPElement, AdapterProvider, ECPDisposable, InternalRegistryElement, UIProvider

Direct Known Subclasses:
  CDOUIProvider, EMFStoreUIProvider, WorkspaceUIProvider

    public class DefaultUIProvider

extends Element
implements UIProvider

Since:
  1.1
Author:
  Eike Stepper, Eugen Neufeld

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecp.spi.core.util.ECPDisposable
`ECPDisposable.DisposeListener`

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.spi.ui.UIProvider
`EMF_LABEL_PROVIDER, TYPE`

Constructor Summary
`DefaultUIProvider(String name)` Constructor of a `DefaultUIProvider`.

Method Summary
`void` | `addDisposeListener(ECPDisposable.DisposeListener listener)` Adds a `ECPDisposable.DisposeListener` to this instance.
`org.eclipse.swt.widgets.Control` | `createAddRepositoryUI(org.eclipse.swt.widgets.Composite parent, ECPProperties repositoryProperties, org.eclipse.swt.widgets.Text repositoryNameText, org.eclipse.swt.widgets.Text repositoryLabelText, org.eclipse.swt.widgets.Text repositoryDescriptionText)` The UIProvider can return its provider specific UI to allow the user to fill in provider specific data during the creation of an Repository.
`org.eclipse.swt.widgets.Control` | `createCheckoutUI(org.eclipse.swt.widgets.Composite parent, ECPCheckoutSource checkoutSource, ECPProperties projectProperties)` The UIProvider can return a provider specific UI to allow the user to fill in provider specific data for a checkout.
`org.eclipse.swt.widgets.Control` | `createNewProjectUI(org.eclipse.swt.widgets.Composite parent, CompositeStateObserver observer, ECPProperties projectProperties)` The UIProvider can return a provider specific UI to allow the user to fill in provider specific data for the creation of a new project.
`void` | `dispose()` Disposes the current instance.
`void` | `fillContextMenu(org.eclipse.jface.action.IMenuManager manager, ECPContainer context, Object[] elements)` Allows the UIProvider to fill the context menu specifically.
`Object` | `getAdapter(Class adapterType)` Returns an object which is an instance of the given class associated with this object.
`
`<T> T`
` | `getAdapter(Object adaptable, Class<T> adapterType)`
`String` | `getDescription()` Return the description.
`org.eclipse.swt.graphics.Image` | `getImage(Object element)` Returns the image for an element.
`String` | `getLabel()` Returns the label.
`InternalProvider` | `getProvider()` Returns the corresponding Provider for this UI Provider.
`String` | `getText(Object element)` Returns the name for an element.
`String` | `getType()` This return the type of the object.
`boolean` | `isDisposed()` Whether this instance is already disposed.
`void` | `removeDisposeListener(ECPDisposable.DisposeListener listener)` Removed a `ECPDisposable.DisposeListener` from this instance.
`void` | `setDescription(String description)` Sets the description.
`void` | `setLabel(String label)` Sets the label.

Methods inherited from class org.eclipse.emf.ecp.internal.core.util.Element
`compareTo, equals, getName, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecp.core.util.ECPElement
`getName`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### DefaultUIProvider

    public DefaultUIProvider(String name)

  Constructor of a `DefaultUIProvider`.

  Parameters:
    `name` - the name for this `UIProvider`

Method Detail

### getType

    public String getType()

  This return the type of the object.

  Specified by:
    `getType` in class `Element`
  Returns:
    the type

### getProvider

    public InternalProvider getProvider()

  Returns the corresponding Provider for this UI Provider.

  Specified by:
    `getProvider` in interface `UIProvider`
  Returns:
    the corresponding `InternalProvider`

### getLabel

    public final String getLabel()

  Returns the label.

  Specified by:
    `getLabel` in interface `InternalRegistryElement`
  Returns:
    the label

### setLabel

    public final void setLabel(String label)

  Sets the label.

  Specified by:
    `setLabel` in interface `InternalRegistryElement`
  Parameters:
    `label` - the Label to set

### getDescription

    public final String getDescription()

  Return the description.

  Specified by:
    `getDescription` in interface `InternalRegistryElement`
  Returns:
    the description

### setDescription

    public final void setDescription(String description)

  Sets the description.

  Specified by:
    `setDescription` in interface `InternalRegistryElement`
  Parameters:
    `description` - the Description to set

### getAdapter

    public <T> T getAdapter(Object adaptable,
                            Class<T> adapterType)

  Specified by:
    `getAdapter` in interface `AdapterProvider`

### getAdapter

    public Object getAdapter(Class adapterType)

  Returns an object which is an instance of the given class associated with this object. Returns `null` if no such object can be found.

  This implementation of the method declared by `IAdaptable` passes the request along to the platform's adapter manager; roughly `Platform.getAdapterManager().getAdapter(this, adapter)`. Subclasses may override this method (however, if they do so, they should invoke the method on their superclass to ensure that the Platform's adapter manager is consulted).

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
  Parameters:
    `adapterType` - the class to adapt to
  Returns:
    the adapted object or `null`
  See Also:
    `IAdaptable.getAdapter(Class)`

### isDisposed

    public final boolean isDisposed()

  Whether this instance is already disposed.

  Specified by:
    `isDisposed` in interface `ECPDisposable`
  Returns:
    true if already disposed, false otherwise.

### dispose

    public final void dispose()

  Disposes the current instance.

  Specified by:
    `dispose` in interface `ECPDisposable`

### addDisposeListener

    public final void addDisposeListener(ECPDisposable.DisposeListener listener)

  Adds a `ECPDisposable.DisposeListener` to this instance.

  Specified by:
    `addDisposeListener` in interface `ECPDisposable`
  Parameters:
    `listener` - the listener to add

### removeDisposeListener

    public final void removeDisposeListener(ECPDisposable.DisposeListener listener)

  Removed a `ECPDisposable.DisposeListener` from this instance.

  Specified by:
    `removeDisposeListener` in interface `ECPDisposable`
  Parameters:
    `listener` - the listener to remove

### getText

    public String getText(Object element)

  Returns the name for an element.

  Specified by:
    `getText` in interface `UIProvider`
  Parameters:
    `element` - the object to return the name for
  Returns:
    the name of this element

### getImage

    public org.eclipse.swt.graphics.Image getImage(Object element)

  Returns the image for an element.

  Specified by:
    `getImage` in interface `UIProvider`
  Parameters:
    `element` - the object to return the image for
  Returns:
    the name of this element

### fillContextMenu

    public void fillContextMenu(org.eclipse.jface.action.IMenuManager manager,
                                ECPContainer context,
                                Object[] elements)

  Allows the UIProvider to fill the context menu specifically.

  Specified by:
    `fillContextMenu` in interface `UIProvider`
  Parameters:
    `manager` - the `IMenuManager` to fill
    `context` - the current selected `ECPContainer`
    `elements` - the selected elements

### createAddRepositoryUI

    public org.eclipse.swt.widgets.Control createAddRepositoryUI(org.eclipse.swt.widgets.Composite parent,
                                                                 ECPProperties repositoryProperties,
                                                                 org.eclipse.swt.widgets.Text repositoryNameText,
                                                                 org.eclipse.swt.widgets.Text repositoryLabelText,
                                                                 org.eclipse.swt.widgets.Text repositoryDescriptionText)

  The UIProvider can return its provider specific UI to allow the user to fill in provider specific data during the creation of an Repository.

  Specified by:
    `createAddRepositoryUI` in interface `UIProvider`
  Parameters:
    `parent` - the `Composite` to fill
    `repositoryProperties` - the `ECPProperties` of the repository to create
    `repositoryNameText` - the `Text` widget handling the repository name
    `repositoryLabelText` - the `Text` widget handling the repository label
    `repositoryDescriptionText` - the `Text` widget handling the repository description
  Returns:
    the created control

### createCheckoutUI

    public org.eclipse.swt.widgets.Control createCheckoutUI(org.eclipse.swt.widgets.Composite parent,
                                                            ECPCheckoutSource checkoutSource,
                                                            ECPProperties projectProperties)

  The UIProvider can return a provider specific UI to allow the user to fill in provider specific data for a checkout.

  Specified by:
    `createCheckoutUI` in interface `UIProvider`
  Parameters:
    `parent` - the `Composite` to fill
    `checkoutSource` - the Object to checkout
    `projectProperties` - the `ECPProperties` of the project to create
  Returns:
    the created control

### createNewProjectUI

    public org.eclipse.swt.widgets.Control createNewProjectUI(org.eclipse.swt.widgets.Composite parent,
                                                              CompositeStateObserver observer,
                                                              ECPProperties projectProperties)

  The UIProvider can return a provider specific UI to allow the user to fill in provider specific data for the creation of a new project.

  Specified by:
    `createNewProjectUI` in interface `UIProvider`
  Parameters:
    `parent` - the `Composite` to fill
    `observer` - the observer
    `projectProperties` - the `ECPProperties` of the project to create
  Returns:
    the created control

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.